सामग्री पर जाएँ

Kokoro TTS (Mandarin Chinese)

इंटीग्रेट करें

मॉडल id kokoro/mandarin-chinese
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/kokoro/mandarin-chinese?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Hello from Doitong. This is a short test sentence.",
    "voice": "zf_xiaobei"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.001 1 API क्रेडिट · ≈ ₽0.11 इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें

आठ चयन योग्य पुरुष और महिला आवाज़ों तथा समायोज्य बोलने की गति वाला मैंडरिन चाइनीज़ टेक्स्ट-टू-स्पीच

Hexgrad · ऑडियो

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक
voice •आवश्यक

उपयोग की जाने वाली आवाज़ चुनने वाला पहचानकर्ता।

उन्नत speed · enable_safety_checker
डिफ़ॉल्ट 1

बनाए गए ऑडियो की गति, जिसका डिफ़ॉल्ट मान 1.0 है।

POST /run/kokoro/mandarin-chinese?wait=20 कोटेशन → $0.001
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/kokoro/mandarin-chinese?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Hello from Doitong. This is a short test sentence.",
    "voice": "zf_xiaobei"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Kokoro TTS (Mandarin Chinese) के बारे में

`prompt` में दिए मैंडरिन चाइनीज़ टेक्स्ट को बोली जाने वाली ऑडियो में बदलता है। `voice` के माध्यम से आठ आवाज़ों में से एक चुनें (चार zf_ महिला और चार zm_ पुरुष IDs)। `speed` 0.1 से 5 तक होता है और डिफ़ॉल्ट 1.0 है। चीनी भाषा में नैरेशन और वॉइस प्रॉम्प्ट के लिए उपयुक्त।

पैरामीटर

नामप्रकार डिफ़ॉल्टअनुमत विवरण
promptआवश्यक
प्रकारstring
voiceआवश्यक
प्रकारenum
zf_xiaobeizf_xiaonizf_xiaoxiaozf_xiaoyizm_yunjianzm_yunxizm_yunxiazm_yunyang
उपयोग की जाने वाली आवाज़ चुनने वाला पहचानकर्ता।
speedवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट1
0.1 – 5
बनाए गए ऑडियो की गति, जिसका डिफ़ॉल्ट मान 1.0 है।
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
यदि कॉलर अधिकृत है, तो false सेट करके स्क्रीनिंग में ढील दी जा सकती है।
आवश्यक

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kokoro/mandarin-chinese",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1,
    "usd": "0.001",
    "charged": 1,
    "refunded": 0
  },
  "input": {
    "prompt": "Hello from Doitong. This is a short test sentence.",
    "voice": "zf_xiaobei"
  },
  "output": {
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
audio
object {url, content_type, file_name, file_size}मॉडल द्वारा बनाया गया संगीत।

और मॉडल: टेक्स्ट से स्पीच

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/kokoro/mandarin-chinese.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt